#include "CyanLight.hpp"

#include <cstdlib>  // TODO: was this for std::min() ?


uint8_t MAX_CHANNELS = 8;

extern const uint8_t CyanLight::channelGPIOs[] = { 42 };  // !!!


CyanLight::CyanLightControl::CyanLightControl(uint8_t channelsConfigured) {

  if (channelsConfigured > MAX_CHANNELS)
    ESP_LOGE("", "Cannot create channel#[ %i ]! Hardware limit is #[ %i ]", channelsConfigured, MAX_CHANNELS);

  uint8_t channels = std::min(channelsConfigured, MAX_CHANNELS);

  for (uint8_t i = 0; i < channels; i++)
    this->addChannel(CyanLight::channelGPIOs[i]);
}


bool CyanLight::CyanLightControl::addChannel() {
  // TODO: implement!
}
